Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2021 13:31:04 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had a bad experience with online delivery.They shipped the wrong items to me - and now i have to place the order again. I cannot receive my cash back - i have to go to the store to receive it. This causes me more time wasting and trouble than I would have if I had just come in person. 

My order number: 7453455802 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2495218